## yubioath-desktop 5.0.4+post1

=== requirements.txt ===
git+https://github.com/Yubico/yubikey-manager.git
./py/qr

## yubioath-desktop 2.3.0

=== debian/changelog ===
yubioath-desktop (2.3.0-1) unstable; urgency=low

  * Initial release (Closes: #742128)

 -- Dain Nilsson <dain@yubico.com>  Wed, 25 Nov 2015 15:17:32 +0100

=== debian/control ===
Source: yubioath-desktop
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Dain Nilsson <dain@yubico.com>,
           Simon Josefsson <simon@josefsson.org>,
           Klas Lindfors <klas@yubico.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               python (>= 2.7),
               python-setuptools (>= 0.6b3),
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://developers.yubico.com/yubioath-desktop/
Vcs-Browser: https://github.com/Yubico/yubioath-desktop-dpkg
Vcs-Git: git://github.com/Yubico/yubioath-desktop-dpkg.git

Package: yubioath-desktop
Architecture: all
Depends: libykpers-1-1 (>= 1.11),
         ${misc:Depends},
         python-pyside.qtgui,
         python-pyside.qtnetwork,
         ${python:Depends}
Recommends: pcscd
Description: Graphical interface for displaying OATH codes with a Yubikey
 The Yubico Authenticator is a graphical desktop tool for generating Open
 AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
 codes, with the help of a Yubikey that protects the shared secrets.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubioath-desktop/releases.html .*/yubioath-desktop-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## yubioath-desktop 3.0.1

=== debian/changelog ===
yubioath-desktop (3.0.1-2) unstable; urgency=medium

  [ Dag Heyman ]
  * Add dependency on python-pkg-resources, python-click and pcscd.
  * Drop recommends on pcscd.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 17 Aug 2016 14:43:08 +0200

yubioath-desktop (3.0.1-1) unstable; urgency=medium

  [ Dag Heyman ]
  * New upstream version.
  * Add Dag to Uploaders:.
  * Use https URLs in Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.
  * Add dependency on python-pkg-resources, python-click and pcscd.
  * Drop recommends on pcscd.
  * Fix watch file.
  * Add patch fix-icon.patch.
  * Drop patch fix-pyside-requirement.diff.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 25 Jul 2016 09:46:22 +0200

=== debian/control ===
Source: yubioath-desktop
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Dain Nilsson <dain@yubico.com>,
           Simon Josefsson <simon@josefsson.org>,
           Klas Lindfors <klas@yubico.com>,
           Dag Heyman <dag@yubico.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               python (>= 2.7),
               python-setuptools (>= 0.6b3),
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://developers.yubico.com/yubioath-desktop/
Vcs-Browser: https://github.com/Yubico/yubioath-desktop-dpkg
Vcs-Git: https://github.com/Yubico/yubioath-desktop-dpkg.git

Package: yubioath-desktop
Architecture: all
Depends: libykpers-1-1 (>= 1.11),
         ${misc:Depends},
         python-pyside.qtgui,
         python-pyside.qtnetwork,
         python-pkg-resources,
         python-click,
         pcscd,
         ${python:Depends}
Description: Graphical interface for displaying OATH codes with a Yubikey
 The Yubico Authenticator is a graphical desktop tool for generating Open
 AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
 codes, with the help of a Yubikey that protects the shared secrets.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubioath-desktop/releases.html yubioath-desktop-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## yubioath-desktop 5.0.3

=== debian/changelog ===
yubioath-desktop (5.0.3-1) unstable; urgency=medium
  [ Taowa Munene-Tardif ]
  * New upstream version 5.0.3
  * No longer requires root to build

 -- Taowa Munene-Tardif <taowa@debian.org>  Thu, 16 Apr 2020 19:00:00 -0400

yubioath-desktop (5.0.2-3) unstable; urgency=medium
  [ Taowa Munene-Tardif ]
  * Source-only upload

 -- Taowa Munene-Tardif <taowa@debian.org>  Mon, 06 Apr 2020 13:30:00 -0400

yubioath-desktop (5.0.2-2) unstable; urgency=medium
  [ Taowa Munene-Tardif ]
  * Updated copyright to comply with standards
  * Updated policy version
 -- Taowa Munene-Tardif <taowa@debian.org>  Sun, 22 Mar 2020 12:30:00 -0400

yubioath-desktop (5.0.2-1) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * New upstream version
 -- Taowa Munene-Tardif <taowa@debian.org>  Sat, 21 Mar 2020 22:10:00 -0400

yubioath-desktop (5.0.1-7) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * Updated copyright to reflect the owner of the debian/ files
 -- Taowa Munene-Tardif <taowa@debian.org>  Sat, 21 Mar 2020 19:23:00 -0400

yubioath-desktop (5.0.1-6) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * Fixed date in changelog
 -- Taowa Munene-Tardif <taowa@debian.org>  Sun, 26 Jan 2020 20:50:00 -0400

yubioath-desktop (5.0.1-5) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * changed uploader to Debian Authentication Maintainers
  * fixed vcs-git, thanks Jelmer
 -- Taowa Munene-Tardif <taowa@debian.org>  Sun, 26 Jan 2020 20:05:00 -0400

yubioath-desktop (5.0.1-4) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * added qml-module-qtquick-controls2 as a binary dependency
  * removed whitespace from changelog

 -- Taowa Munene-Tardif <taowa@debian.org>  Tue, 07 Jan 2020 17:30:00 -0400

yubioath-desktop (5.0.1-3) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * Updated dependencies to include qtquick controls 2

 -- Taowa Munene-Tardif <taowa@debian.org>  Sun, 22 Dec 2019 17:00:00 -0400

yubioath-desktop (5.0.1-2) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * Packaging changes related to new upstream version
  - Updated build script to use python3
  - Added a manpage for yubioath-desktop
  - Updated license to match upstream (BSD-2-clause)
  - Updated build dependencies

 -- Taowa Munene-Tardif <taowa@debian.org>  Sun, 22 Dec 2019 12:00:00 -0400

yubioath-desktop (5.0.1-1) unstable; urgency=medium

  [ Taowa Munene-Tardif ]
  * New upstream version


 -- Taowa Munene-Tardif <taowa@debian.org>  Sat, 21 Dec 2019 18:40:00 -0400

yubioath-desktop (3.1.0-1) unstable; urgency=medium

  [ Dag Heyman ]
  * New upstream version
  * Drop icon patch.

 -- Dag Heyman <dag@yubico.com>  Wed, 23 Nov 2016 10:46:33 +0100

=== debian/control ===
Source: yubioath-desktop
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Taowa Munene-Tardif <taowa@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               python3-pip,
               swig,
               python3,
               libpcsclite-dev,
               libssl-dev,
               libffi-dev,
               qtbase5-dev (>= 5.12),
               qtdeclarative5-dev,
               qml-module-qtquick-controls,
               qml-module-qtquick-controls2,
               qml-module-qtquick-dialogs,
               qml-module-io-thp-pyotherside,
               qml-module-qt-labs-settings,
               libqt5svg5-dev,
               qtquickcontrols2-5-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://developers.yubico.com/yubioath-desktop/
Vcs-Browser: https://salsa.debian.org/auth-team/yubioath-desktop
Vcs-Git: https://salsa.debian.org/auth-team/yubioath-desktop.git

Package: yubioath-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3-yubikey-manager,
         qml-module-io-thp-pyotherside,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qt-labs-settings,
         qml-module-qt-labs-platform,
         pcscd
Description: Graphical interface for displaying OATH codes with a Yubikey
 The Yubico Authenticator is a graphical desktop tool for generating Open
 AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
 codes, with the help of a Yubikey that protects the shared secrets.

=== debian/rules ===
#!/usr/bin/make -f

%:
	QT_SELECT=5 dh $@

## yubioath-desktop 5.0.4

=== debian/changelog ===
yubioath-desktop (5.0.4-1) unstable; urgency=medium

  * New upstream version 5.0.4.

 -- Taowa Munene-Tardif <taowa@debian.org>  Tue, 19 May 2020 10:30:00 -0400

## yubioath-desktop 5.0.4+post1

=== debian/changelog ===
yubioath-desktop (5.0.4+post1-1) unstable; urgency=medium

  * New upstream version 5.0.4+post1 (Closes: #981804)

 -- Taowa Rosetwig <taowa@debian.org>  Tue, 09 Feb 2021 16:06:45 -0500

yubioath-desktop (5.0.4-2) unstable; urgency=medium

  * Updated policy version.
  * Updated uploader name.
  * Set QT version elsewhere in d/rules.
  * Update dh version.

 -- Taowa Rosetwig <taowa@debian.org>  Wed, 16 Dec 2020 13:30:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: yubioath-desktop
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Taowa Munene-Tardif <taowa@debian.org>
+Uploaders: Taowa Rosetwig <taowa@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper,
+               debhelper-compat (= 13),
                python3-pip,
                swig,
                python3,
@@ -20,7 +20,7 @@
                qml-module-qt-labs-settings,
                libqt5svg5-dev,
                qtquickcontrols2-5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://developers.yubico.com/yubioath-desktop/
 Vcs-Browser: https://salsa.debian.org/auth-team/yubioath-desktop

## yubioath-desktop 5.1.0

=== requirements.txt ===
yubikey-manager==4.0.7

=== QZXing/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(QZXing)

find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Gui REQUIRED)
find_package(Qt5 COMPONENTS Multimedia )
find_package(Qt5 REQUIRED Svg Quick QuickControls2)

SET(BIGINT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/zxing/bigint)
SET(WIN32_DIR  ${CMAKE_CURRENT_SOURCE_DIR}/zxing/win32/zxing)
SET(ZXING_DIR  ${CMAKE_CURRENT_SOURCE_DIR}/zxing/zxing)

set(CMAKE_AUTOMOC ON)
set(CMAKE_WARN_ON)

set(SOURCES

    CameraImageWrapper.cpp
    CameraImageWrapper.h
    ImageHandler.cpp
    ImageHandler.h
    QZXing.cpp
    QZXing.h
    QZXing_global.h
    )

if(QZXING_MULTIMEDIA)

    LIST(APPEND SOURCES QZXingFilter.cpp QZXingFilter.h)
    add_definitions(-DQZXING_MULTIMEDIA)

    SET(QZXING_USE_QML ON)

endif(QZXING_MULTIMEDIA)

if(QZXING_USE_QML)
    LIST(APPEND SOURCES QZXingImageProvider.cpp QZXingImageProvider.h)
    add_definitions(-DQZXING_QML)
endif(QZXING_USE_QML)

add_library(qzxing "" ${SOURCES})

if(WIN32)
    add_subdirectory(zxing/win32)
    if(MSVC)
        add_definitions(-D__STDC_LIMIT_MACROS)
    endif(MSVC)

    add_definitions(-DNO_ICONV)
endif(WIN32)

if(VS_WINRT_COMPONENT)
    add_definitions(-DNO_ICONV)
endif(VS_WINRT_COMPONENT)

add_subdirectory(zxing/bigint)

add_subdirectory(zxing/zxing)

target_link_libraries(qzxing Qt5::Core Qt5::Gui)

if(QZXING_MULTIMEDIA)
    target_link_libraries(qzxing Qt5::Multimedia)
endif(QZXING_MULTIMEDIA)

if(QZXING_USE_QML)
    target_link_libraries(qzxing
        Qt5::Svg
        Qt5::Quick
        Qt5::QuickControls2)
endif(QZXING_USE_QML)

# Change Global Definitions depending on how you want to use the library
target_compile_definitions(qzxing PUBLIC DISABLE_LIBRARY_FEATURES)

# Target includes
target_include_directories(qzxing
  PRIVATE
        .
        zxing
        zxing/win32/zxing
        zxing/zxing
        zxing/bigint
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

=== QZXing/zxing/win32/CMakeLists.txt ===
SET(SOURCES

    ${WIN32_DIR}/iconv.h
    ${WIN32_DIR}/win_iconv.c
)

if(MSVC)
    LIST(APPEND SOURCES ${WIN32_DIR}/zxing/msvc/stdint.h)
endif(MSVC)

target_sources(qzxing PRIVATE ${SOURCES})

=== QZXing/zxing/zxing/CMakeLists.txt ===
SET(SOURCES

    ${ZXING_DIR}/BarcodeFormat.cpp
    ${ZXING_DIR}/BarcodeFormat.h
    ${ZXING_DIR}/Binarizer.cpp
    ${ZXING_DIR}/Binarizer.h
    ${ZXING_DIR}/BinaryBitmap.cpp
    ${ZXING_DIR}/BinaryBitmap.h
    ${ZXING_DIR}/ChecksumException.cpp
    ${ZXING_DIR}/ChecksumException.h
    ${ZXING_DIR}/DecodeHints.cpp
    ${ZXING_DIR}/DecodeHints.h
    ${ZXING_DIR}/EncodeHint.cpp
    ${ZXING_DIR}/EncodeHint.h
    ${ZXING_DIR}/Exception.cpp
    ${ZXING_DIR}/Exception.h
    ${ZXING_DIR}/FormatException.cpp
    ${ZXING_DIR}/FormatException.h
    ${ZXING_DIR}/IllegalStateException.cpp
    ${ZXING_DIR}/IllegalStateException.h
    ${ZXING_DIR}/InvertedLuminanceSource.cpp
    ${ZXING_DIR}/InvertedLuminanceSource.h
    ${ZXING_DIR}/LuminanceSource.cpp
    ${ZXING_DIR}/LuminanceSource.h
    ${ZXING_DIR}/MultiFormatReader.cpp
    ${ZXING_DIR}/MultiFormatReader.h
    ${ZXING_DIR}/NotFoundException.h
    ${ZXING_DIR}/NotFoundException.cpp
    ${ZXING_DIR}/Reader.cpp
    ${ZXING_DIR}/Reader.h
    ${ZXING_DIR}/ReaderException.h
    ${ZXING_DIR}/ReaderException.cpp
    ${ZXING_DIR}/Result.cpp
    ${ZXING_DIR}/Result.h
    ${ZXING_DIR}/ResultMetadata.cpp
    ${ZXING_DIR}/ResultMetadata.h
    ${ZXING_DIR}/ResultIO.cpp
    ${ZXING_DIR}/ResultPoint.cpp
    ${ZXING_DIR}/ResultPoint.h
    ${ZXING_DIR}/ResultPointCallback.cpp
    ${ZXING_DIR}/ResultPointCallback.h
    ${ZXING_DIR}/UnsupportedEncodingException.h
    ${ZXING_DIR}/WriterException.h
    ${ZXING_DIR}/WriterException.cpp
    ${ZXING_DIR}/ZXing.h

    )

SET(AZTEC_DIR

    ${ZXING_DIR}/aztec/AztecDetectorResult.cpp
    ${ZXING_DIR}/aztec/AztecDetectorResult.h
    ${ZXING_DIR}/aztec/AztecReader.cpp
    ${ZXING_DIR}/aztec/AztecReader.h
    ${ZXING_DIR}/aztec/decoder/AztecDecoder.cpp
    ${ZXING_DIR}/aztec/decoder/Decoder.h
    ${ZXING_DIR}/aztec/detector/AztecDetector.cpp
    ${ZXING_DIR}/aztec/detector/Detector.h

    )

SET(COMMON_DIR

    ${ZXING_DIR}/common/Array.h
    ${ZXING_DIR}/common/BitArray.cpp
    ${ZXING_DIR}/common/BitArray.h
    ${ZXING_DIR}/common/BitArrayIO.cpp
    ${ZXING_DIR}/common/BitMatrix.cpp
    ${ZXING_DIR}/common/BitMatrix.h
    ${ZXING_DIR}/common/BitSource.cpp
    ${ZXING_DIR}/common/BitSource.h
    ${ZXING_DIR}/common/CharacterSetECI.cpp
    ${ZXING_DIR}/common/CharacterSetECI.h
    ${ZXING_DIR}/common/Counted.h
    ${ZXING_DIR}/common/Counted.cpp
    ${ZXING_DIR}/common/DecoderResult.cpp
    ${ZXING_DIR}/common/DecoderResult.h
    ${ZXING_DIR}/common/DetectorResult.cpp
    ${ZXING_DIR}/common/DetectorResult.h
    ${ZXING_DIR}/common/GlobalHistogramBinarizer.cpp
    ${ZXING_DIR}/common/GlobalHistogramBinarizer.h
    ${ZXING_DIR}/common/GreyscaleLuminanceSource.cpp
    ${ZXING_DIR}/common/GreyscaleLuminanceSource.h
    ${ZXING_DIR}/common/GreyscaleRotatedLuminanceSource.cpp
    ${ZXING_DIR}/common/GreyscaleRotatedLuminanceSource.h
    ${ZXING_DIR}/common/GridSampler.cpp
    ${ZXING_DIR}/common/GridSampler.h
    ${ZXING_DIR}/common/HybridBinarizer.cpp
    ${ZXING_DIR}/common/HybridBinarizer.h
    ${ZXING_DIR}/common/IllegalArgumentException.cpp
    ${ZXING_DIR}/common/IllegalArgumentException.h
    ${ZXING_DIR}/common/PerspectiveTransform.cpp
    ${ZXING_DIR}/common/PerspectiveTransform.h
    ${ZXING_DIR}/common/Point.h
    ${ZXING_DIR}/common/Str.cpp
    ${ZXING_DIR}/common/Str.h
    ${ZXING_DIR}/common/StringUtils.cpp
    ${ZXING_DIR}/common/StringUtils.h
    ${ZXING_DIR}/common/Types.h

    ${ZXING_DIR}/common/detector/JavaMath.h
    ${ZXING_DIR}/common/detector/MathUtils.h
    ${ZXING_DIR}/common/detector/MonochromeRectangleDetector.cpp
    ${ZXING_DIR}/common/detector/MonochromeRectangleDetector.h
    ${ZXING_DIR}/common/detector/WhiteRectangleDetector.cpp
    ${ZXING_DIR}/common/detector/WhiteRectangleDetector.h

    ${ZXING_DIR}/common/reedsolomon/GenericGF.cpp
    ${ZXING_DIR}/common/reedsolomon/GenericGF.h
    ${ZXING_DIR}/common/reedsolomon/GenericGFPoly.cpp
    ${ZXING_DIR}/common/reedsolomon/GenericGFPoly.h
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonDecoder.cpp
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonDecoder.h
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonEncoder.cpp
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonEncoder.h
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonException.cpp
    ${ZXING_DIR}/common/reedsolomon/ReedSolomonException.h

    )

SET(DATAMATRIX_DIR

    ${ZXING_DIR}/datamatrix/DataMatrixReader.cpp
    ${ZXING_DIR}/datamatrix/DataMatrixReader.h
    ${ZXING_DIR}/datamatrix/DataMatrixVersion.cpp
    ${ZXING_DIR}/datamatrix/Version.h

    ${ZXING_DIR}/datamatrix/decoder/BitMatrixParser.h
    ${ZXING_DIR}/datamatrix/decoder/DataBlock.h
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixBitMatrixParser.cpp
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixDataBlock.cpp
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixDecodedBitStreamParser.cpp
    ${ZXING_DIR}/datamatrix/decoder/DataMatrixDecoder.cpp
    ${ZXING_DIR}/datamatrix/decoder/DecodedBitStreamParser.h
    ${ZXING_DIR}/datamatrix/decoder/Decoder.h

    ${ZXING_DIR}/datamatrix/detector/CornerPoint.h
    ${ZXING_DIR}/datamatrix/detector/DataMatrixCornerPoint.cpp
    ${ZXING_DIR}/datamatrix/detector/DataMatrixDetector.cpp
    ${ZXING_DIR}/datamatrix/detector/DataMatrixDetectorException.cpp
    ${ZXING_DIR}/datamatrix/detector/Detector.h
    ${ZXING_DIR}/datamatrix/detector/DetectorException.h

    )

SET(MULTI_DIR

    ${ZXING_DIR}/multi/ByQuadrantReader.cpp
    ${ZXING_DIR}/multi/ByQuadrantReader.h
    ${ZXING_DIR}/multi/GenericMultipleBarcodeReader.cpp
    ${ZXING_DIR}/multi/GenericMultipleBarcodeReader.h
    ${ZXING_DIR}/multi/MultipleBarcodeReader.cpp
    ${ZXING_DIR}/multi/MultipleBarcodeReader.h

    ${ZXING_DIR}/multi/qrcode/QRCodeMultiReader.cpp
    ${ZXING_DIR}/multi/qrcode/QRCodeMultiReader.h

    ${ZXING_DIR}/multi/qrcode/detector/MultiDetector.cpp
    ${ZXING_DIR}/multi/qrcode/detector/MultiDetector.h
    ${ZXING_DIR}/multi/qrcode/detector/MultiFinderPatternFinder.cpp
    ${ZXING_DIR}/multi/qrcode/detector/MultiFinderPatternFinder.h

    )

SET(ONED_DIR

    ${ZXING_DIR}/oned/UPCEReader.h
    ${ZXING_DIR}/oned/UPCEANReader.h
    ${ZXING_DIR}/oned/UPCEANExtensionSupport.h
    ${ZXING_DIR}/oned/UPCEANExtension2Support.h
    ${ZXING_DIR}/oned/UPCEANExtension5Support.h
    ${ZXING_DIR}/oned/UPCAReader.h
    ${ZXING_DIR}/oned/OneDResultPoint.h
    ${ZXING_DIR}/oned/OneDReader.h
    ${ZXING_DIR}/oned/MultiFormatUPCEANReader.h
    ${ZXING_DIR}/oned/MultiFormatOneDReader.h
    ${ZXING_DIR}/oned/ITFReader.h
    ${ZXING_DIR}/oned/EAN13Reader.h
    ${ZXING_DIR}/oned/EAN8Reader.h
    ${ZXING_DIR}/oned/EANManufacturerOrgSupport.h
    ${ZXING_DIR}/oned/Code128Reader.h
    ${ZXING_DIR}/oned/Code39Reader.h
    ${ZXING_DIR}/oned/CodaBarReader.h
    ${ZXING_DIR}/oned/Code93Reader.h
    ${ZXING_DIR}/oned/rss/AbstractRSSReader.h
    ${ZXING_DIR}/oned/rss/DataCharacter.h
    ${ZXING_DIR}/oned/rss/FinderPattern.h
    ${ZXING_DIR}/oned/rss/Pair.h
    ${ZXING_DIR}/oned/rss/RSS14Reader.h
    ${ZXING_DIR}/oned/rss/RSSUtils.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AbstractExpandedDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013103decoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01320xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01392xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01393xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0x1xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0xDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01AndOtherAIs.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01decoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01weightDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/AnyAIDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/BlockParsedResult.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/CurrentParsingState.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedChar.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedInformation.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedNumeric.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedObject.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/FieldParser.h
    ${ZXING_DIR}/oned/rss/expanded/decoders/GeneralAppIdDecoder.h
    ${ZXING_DIR}/oned/rss/expanded/BitArrayBuilder.h
    ${ZXING_DIR}/oned/rss/expanded/ExpandedPair.h
    ${ZXING_DIR}/oned/rss/expanded/ExpandedRow.h
    ${ZXING_DIR}/oned/rss/expanded/RSSExpandedReader.h

    ${ZXING_DIR}/oned/UPCEReader.cpp
    ${ZXING_DIR}/oned/UPCEANReader.cpp
    ${ZXING_DIR}/oned/UPCEANExtensionSupport.cpp
    ${ZXING_DIR}/oned/UPCEANExtension2Support.cpp
    ${ZXING_DIR}/oned/UPCEANExtension5Support.cpp
    ${ZXING_DIR}/oned/UPCAReader.cpp
    ${ZXING_DIR}/oned/OneDResultPoint.cpp
    ${ZXING_DIR}/oned/OneDReader.cpp
    ${ZXING_DIR}/oned/MultiFormatUPCEANReader.cpp
    ${ZXING_DIR}/oned/MultiFormatOneDReader.cpp
    ${ZXING_DIR}/oned/ITFReader.cpp
    ${ZXING_DIR}/oned/EAN13Reader.cpp
    ${ZXING_DIR}/oned/EAN8Reader.cpp
    ${ZXING_DIR}/oned/EANManufacturerOrgSupport.cpp
    ${ZXING_DIR}/oned/Code128Reader.cpp
    ${ZXING_DIR}/oned/Code39Reader.cpp
    ${ZXING_DIR}/oned/CodaBarReader.cpp
    ${ZXING_DIR}/oned/Code93Reader.cpp
    ${ZXING_DIR}/oned/rss/AbstractRSSReader.cpp
    ${ZXING_DIR}/oned/rss/DataCharacter.cpp
    ${ZXING_DIR}/oned/rss/FinderPattern.cpp
    ${ZXING_DIR}/oned/rss/Pair.cpp
    ${ZXING_DIR}/oned/rss/RSS14Reader.cpp
    ${ZXING_DIR}/oned/rss/RSSUtils.cpp
    ${ZXING_DIR}/oned/rss/expanded/BitArrayBuilder.cpp
    ${ZXING_DIR}/oned/rss/expanded/ExpandedPair.cpp
    ${ZXING_DIR}/oned/rss/expanded/ExpandedRow.cpp
    ${ZXING_DIR}/oned/rss/expanded/RSSExpandedReader.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AbstractExpandedDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01AndOtherAIs.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01decoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01weightDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0x1xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013x0xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01320xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01392xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI01393xDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AI013103decoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/AnyAIDecoder.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/BlockParsedResult.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/CurrentParsingState.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedChar.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedInformation.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedNumeric.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/DecodedObject.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/FieldParser.cpp
    ${ZXING_DIR}/oned/rss/expanded/decoders/GeneralAppIdDecoder.cpp


    )

SET(PDF417_DIR

    ${ZXING_DIR}/pdf417/PDF417Reader.cpp
    ${ZXING_DIR}/pdf417/PDF417Reader.h

    ${ZXING_DIR}/pdf417/decoder/BitMatrixParser.h
    ${ZXING_DIR}/pdf417/decoder/DecodedBitStreamParser.h
    ${ZXING_DIR}/pdf417/decoder/Decoder.h
    ${ZXING_DIR}/pdf417/decoder/PDF417BitMatrixParser.cpp
    ${ZXING_DIR}/pdf417/decoder/PDF417DecodedBitStreamParser.cpp
    ${ZXING_DIR}/pdf417/decoder/PDF417Decoder.cpp

    ${ZXING_DIR}/pdf417/decoder/ec/ErrorCorrection.cpp
    ${ZXING_DIR}/pdf417/decoder/ec/ErrorCorrection.h
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusGF.cpp
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusGF.h
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusPoly.cpp
    ${ZXING_DIR}/pdf417/decoder/ec/ModulusPoly.h

    ${ZXING_DIR}/pdf417/detector/Detector.h
    ${ZXING_DIR}/pdf417/detector/LinesSampler.cpp
    ${ZXING_DIR}/pdf417/detector/LinesSampler.h
    ${ZXING_DIR}/pdf417/detector/PDF417Detector.cpp

    )

SET(QRCODE_DIR

    ${ZXING_DIR}/qrcode/ErrorCorrectionLevel.h
    ${ZXING_DIR}/qrcode/FormatInformation.h
    ${ZXING_DIR}/qrcode/QRCodeReader.cpp
    ${ZXING_DIR}/qrcode/QRCodeReader.h
    ${ZXING_DIR}/qrcode/QRErrorCorrectionLevel.cpp

=== debian/changelog ===
yubioath-desktop (5.1.0-5) unstable; urgency=medium

  * Team upload.
  * Move to pkg-security team.
  * Standards-Version: 4.7.2.
  * Change Vcs-* URLs.
  * Run wrap-and-sort -satbk.
  * Add d/salsa-ci.yml.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 25 Aug 2025 14:13:19 +0200

yubioath-desktop (5.1.0-4) unstable; urgency=medium
  
  * Update the ykman 5 patch and remove the Upload 
    Functionality (Closes: #1093774)
  * Remove the complete ykman 4 support. (Closes: #1093831)
  * Bump standards version to 4.7.0
  * Added myself to debian/copyright
  * Added myself to uploaders so that there is 
    at least one active uploader

 -- Patrick Winnertz <winnie@debian.org>  Thu, 23 Jan 2025 20:54:26 +0100

yubioath-desktop (5.1.0-3) unstable; urgency=medium

  * Team upload
  * Apply ykman_v5.patch by Sébastien Noel (closes: #1060698)
  * Drop unused lintian override for inconsistent-appstream-metadata-license
  * Add lintian override for spelling-error-in-binary liK
  * Add upstream metadata file
  * Build with all hardening flags
  * Update d/watch to version 4 (no changes needed)
  * Declare compliance with Debian Policy 4.6.2

 -- Florian Schlichting <fsfs@debian.org>  Sun, 14 Jan 2024 23:25:13 +0100

yubioath-desktop (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Update python3-ykman dependency, transitional package
    python3-yubikey-manager was removed.

 -- Florian Schlichting <fsfs@debian.org>  Wed, 11 Oct 2023 23:13:00 +0200

yubioath-desktop (5.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 02-fix-gcc-13 patch to fix gcc-13 build issue, thanks
    Jonathan Bergh <bergh.jonathan@gmail.com> also. (Closes: #1037909)

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 17 Sep 2023 22:29:46 +0800

yubioath-desktop (5.1.0-1) unstable; urgency=medium

  * new upstream version 5.1.0

 -- taowa <taowa@debian.org>  Fri, 11 Feb 2022 10:00:00 -0500

=== debian/control ===
Source: yubioath-desktop
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 taowa <taowa@debian.org>,
 Patrick Winnertz <winnie@debian.org>,
Section: utils
Priority: optional
Build-Depends:
 debhelper,
 debhelper-compat (= 13),
 libffi-dev,
 libpcsclite-dev,
 libqt5svg5-dev,
 libssl-dev,
 python3,
 python3-pip,
 qml-module-io-thp-pyotherside,
 qml-module-qt-labs-settings,
 qml-module-qtquick-controls,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qtbase5-dev (>= 5.12),
 qtdeclarative5-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 swig,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://developers.yubico.com/yubioath-desktop/
Vcs-Browser: https://salsa.debian.org/debian/yubioath-desktop
Vcs-Git: https://salsa.debian.org/debian/yubioath-desktop.git

Package: yubioath-desktop
Architecture: any
Depends:
 pcscd,
 python3-ykman,
 qml-module-io-thp-pyotherside,
 qml-module-qt-labs-platform,
 qml-module-qt-labs-settings,
 qml-module-qtquick-controls,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphical interface for displaying OATH codes with a Yubikey
 The Yubico Authenticator is a graphical desktop tool for generating Open
 AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
 codes, with the help of a Yubikey that protects the shared secrets.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
QT_SELECT=5

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubioath-desktop/Releases/ yubioath-desktop-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## yubioath-desktop 5.2.0

=== QZXing/zxing/win32/CMakeLists.txt ===
SET(SOURCES

    ${WIN32_DIR}/iconv.h
    ${WIN32_DIR}/win_iconv.c
)

if(MSVC)
    LIST(APPEND SOURCES ${WIN32_DIR}/msvc/stdint.h)
endif(MSVC)

target_sources(qzxing PRIVATE ${SOURCES})

=== debian/changelog ===
yubioath-desktop (5.2.0-0+twolife4) unstable; urgency=low

  * New release
    + New upstream fork
    + Fix compat with ykman5
    + Port to Qt6

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 28 Dec 2024 10:57:03 +0100

=== debian/control ===
Source: yubioath-desktop
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: taowa <taowa@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper,
               debhelper-compat (= 13),
               python3-pip,
               swig,
               python3,
               libpcsclite-dev,
               libssl-dev,
               libffi-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://developers.yubico.com/yubioath-desktop/
Vcs-Browser: https://salsa.debian.org/auth-team/yubioath-desktop
Vcs-Git: https://salsa.debian.org/auth-team/yubioath-desktop.git

Package: yubioath-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3-ykman,
         qml6-module-io-thp-pyotherside,
         qml6-module-qt-labs-platform,
         qml6-module-qtcore,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick-templates,
         pcscd
Description: Graphical interface for displaying OATH codes with a Yubikey
 The Yubico Authenticator is a graphical desktop tool for generating Open
 AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
 codes, with the help of a Yubikey that protects the shared secrets.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	qmake6 "QMAKE_CFLAGS_RELEASE=${CFLAGS} ${CPPFLAGS}" "QMAKE_CFLAGS_DEBUG=${CFLAGS} ${CPPFLAGS}" "QMAKE_CXXFLAGS_RELEASE=${CXXFLAGS} ${CPPFLAGS}" "QMAKE_CXXFLAGS_DEBUG=${CXXFLAGS} ${CPPFLAGS}" "QMAKE_LFLAGS_RELEASE=${LDFLAGS}" "QMAKE_LFLAGS_DEBUG=${LDFLAGS}" QMAKE_STRIP=: PREFIX=/usr

=== debian/watch ===
version=4
opts="\
filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/yubioath-desktop-$1\.tar\.gz/,\
" \
https://github.com/twolife/yubioath-desktop-legacy/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
